#!/bin/bash

# BUILD PERL
if [ -d PerlSrc ]; then
	/bin/rm -rf PerlSrc
fi
if [ -d tmp ]; then
	/bin/rm -rf tmp
fi
mkdir PerlSrc PerlSrc/perl PerlSrc/perl-addons PerlSrc/perl/bin PerlSrc/perl-addons/bin tmp
TEMPDIR=$PWD/tmp
TMP=$PWD/tmp
export TMP
export TEMPDIR
PERLDIR=$PWD/PerlSrc
cd PerlSrc
gzip -dc ../Tars/stable.tar.gz | tar xvf -
#tar zxvf ../Tars/stable.tar.gz
cd perl-[0-9]*
sed -e "s=USEPERLDIR=$PERLDIR=g" ../../Policy.sh > Policy.sh
./Configure -d
make
make test
make install
