#!/bin/bash

mywg=`which wget`
if [ -z "$mywg" ] ; then
	echo "Cannot find wget, please install: http://www.gnu.org/software/wget/wget.html"
	exit
fi
# Check for modules.list, generate if needed
if [ -f Tars/modules.list ] ; then
	echo "Found module.list"
else
	echo "Generating module.list..."
	sh gen-list.sh
	if [ -f Tars/modules.list ] ; then
		echo "Found module.list..."
	else
		echo "Generation failed, aborting"
		exit
	fi
fi
echo "Retrieving modules..."
cd Tars
wget -N -i modules.list
